Package org.flywaydb.core.api.output

## Class RepairResult

- java.lang.Object
- - org.flywaydb.core.api.output.OperationResultBase
  - - org.flywaydb.core.api.output.RepairResult

- All Implemented Interfaces:
    `OperationResult`

      public class RepairResult
      extends OperationResultBase

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.util.List<RepairOutput>` | `migrationsAligned` |
    `java.util.List<RepairOutput>` | `migrationsDeleted` |
    `java.util.List<RepairOutput>` | `migrationsRemoved` |
    `java.util.List<java.lang.String>` | `repairActions` |

    - ### Fields inherited from class org.flywaydb.core.api.output.OperationResultBase

      `database, flywayVersion, operation, warnings`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RepairResult​(java.lang.String flywayVersion, java.lang.String database)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setRepairActions​(org.flywaydb.core.internal.command.DbRepair.CompletedRepairActions completedRepairActions)` |

    - ### Methods inherited from class org.flywaydb.core.api.output.OperationResultBase

      `addWarning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### repairActions

          public java.util.List<java.lang.String> repairActions

    - #### migrationsRemoved

          public java.util.List<RepairOutput> migrationsRemoved

    - #### migrationsDeleted

          public java.util.List<RepairOutput> migrationsDeleted

    - #### migrationsAligned

          public java.util.List<RepairOutput> migrationsAligned

  - ### Constructor Detail

    - #### RepairResult

          public RepairResult​(java.lang.String flywayVersion,
                              java.lang.String database)

  - ### Method Detail

    - #### setRepairActions

          public void setRepairActions​(org.flywaydb.core.internal.command.DbRepair.CompletedRepairActions completedRepairActions)